bug-diffutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[bug-diffutils] [PATCH 2/3] tests: add a test of basic functionality


From: Jim Meyering
Subject: [bug-diffutils] [PATCH 2/3] tests: add a test of basic functionality
Date: Sat, 09 Jan 2010 11:14:59 +0100

I've just pushed a few small changes.

  maint: udpate GFDL license to 1.3
  tests: add a test of basic functionality
  build: update gnulib submodule to latest

>From cadd497e2759a208c3512b9c8c6c7fb61c5fbb22 Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Fri, 8 Jan 2010 11:34:43 +0100
Subject: [PATCH 1/3] maint: udpate GFDL license to 1.3

* doc/diff.texi: Update to use GFDL version 1.3.
---
 doc/diff.texi |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/doc/diff.texi b/doc/diff.texi
index 3ad0241..c933934 100644
--- a/doc/diff.texi
+++ b/doc/diff.texi
@@ -19,7 +19,7 @@ Software Foundation, Inc.

 @quotation
 Permission is granted to copy, distribute and/or modify this document
-under the terms of the GNU Free Documentation License, Version 1.2 or
+under the terms of the GNU Free Documentation License, Version 1.3 or
 any later version published by the Free Software Foundation; with no
 Invariant Sections, with the Front-Cover texts being ``A GNU Manual,''
 and with the Back-Cover Texts as in (a) below.  A copy of the
--
1.6.6.439.gaf68f


>From 4e1233f063e4c3e5421cd28245b96f2607a7038b Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Sat, 9 Jan 2010 11:05:59 +0100
Subject: [PATCH 2/3] tests: add a test of basic functionality

* tests/basic: Start adding tests.
* tests/Makefile.am (TESTS): Add it.
---
 tests/Makefile.am |    1 +
 tests/basic       |   42 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+), 0 deletions(-)
 create mode 100755 tests/basic

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 5104fe6..b42c905 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -1,4 +1,5 @@
 TESTS = \
+  basic \
   help-version \
   label-vs-func

diff --git a/tests/basic b/tests/basic
new file mode 100755
index 0000000..e2979d2
--- /dev/null
+++ b/tests/basic
@@ -0,0 +1,42 @@
+#!/bin/sh
+# small examples
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ .
+
+fail=0
+
+cat <<EOF > exp- || fail=1
+1c1
+< a
+---
+> b
+EOF
+
+cat <<EOF > exp--u || fail=1
+--- a
++++ b
+@@ -1 +1 @@
+-a
++b
+EOF
+
+cat <<EOF > exp--c || fail=1
+*** a
+--- b
+***************
+*** 1 ****
+! a
+--- 1 ----
+! b
+EOF
+
+echo a > a
+echo b > b
+for opt in '' -u -c; do
+  diff $opt a b > out 2> err; test $? = 1 || fail=1
+  # Remove date and time.
+  sed -e 's/^\([-+*][-+*][-+*] [^      ]*\)    .*/\1/' out > k; mv k out
+  compare out exp-$(echo $opt|tr ' ' _) || fail=1
+done
+
+Exit $fail
--
1.6.6.439.gaf68f


>From a9d7c6d1a52970f26741f6af4cf873730ad50c2a Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Fri, 8 Jan 2010 11:35:26 +0100
Subject: [PATCH 3/3] build: update gnulib submodule to latest

---
 gnulib |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/gnulib b/gnulib
index d91a0d2..581419c 160000
--- a/gnulib
+++ b/gnulib
@@ -1 +1 @@
-Subproject commit d91a0d2dc678afe8a2c696077f0640e6874f52bc
+Subproject commit 581419c98c50af5daefcbb07ca1cbc16539db072
--
1.6.6.439.gaf68f




reply via email to

[Prev in Thread] Current Thread [Next in Thread]